## Synopsis
`ceylon info [--cacherep=<url>] [--cwd=<dir>] [--dependency-depth=<depth>] [--exact-match] [--find-member=<member-name>] [--find-package=<package-name>] [--formatting=<formatting>] [--include-optional] [--maven-overrides=<file>] [--no-default-repositories] [--offline] [--overrides=<file>] [--print-overrides] [--rep=<url>...] [--require-all] [--show-dependencies] [--show-full-description] [--show-incompatible=<mode>] [--show-names] [--show-type=<type>] [--show-versions] [--src=<dir>...] [--sysrep=<url>] [--timeout=<seconds>] [--verbose[=<flags>]] [--] <module...>`

## Description
When passed a search query like `*foo*` it will look at all the modules in all repositories and see if the word `foo` appears anywhere in the name, description, version, license or any other field in the module's descriptor and print their names. When passed a partial module name like `com.acme.foo*` it will look at all the modules in all the repositories and see if their names start with `com.acme.foo` and print their names. When passed a complete module name like `com.acme.foobar` it will print the list of available versions for that module, with the module repository in which each version was found. Versions marked with `*` are not currently available on the local file system but will be downloaded on-demand from remote servers. When passed a complete module name and version like `com.acme.foobar/1.0` it will print information about the contents of a module archive, its description, its licence and its dependencies

## Options
`--cacherep=url` | Specifies the folder to use for caching downloaded modules. (default: `~/.ceylon/cache`)
`--cwd=dir` | Specifies the current working directory for this tool. (default: the directory where the tool is run from)
`--dependency-depth=depth` | The depth of the dependency tree to show, or `all` for the full tree. (Allowed values: any positive integer or `all`, default: `1`)
`--exact-match` | Only returns exact matches when using the `find-member` or `find-package` option
`--find-member=member-name` | Shows only those modules that contain members whose name match the given argument.
`--find-package=package-name` | Shows only those modules that contain packages whose name match the given argument.
`--formatting=formatting` | Set the output formatting to use, can be `simple` or `fancy`
`--include-optional` | Include optional modules when traversing dependencies
`--maven-overrides=file` | Specifies the XML file to use to load Maven artifact overrides. See http://ceylon-lang.org/documentation/current/reference/repository/maven/ for information. Deprecated: use --overrides.
`--no-default-repositories` | Indicates that the default repositories should not be used.
`--offline`, `-L` | Enables offline mode that will prevent connections to remote repositories.
`--overrides=file` | Specifies the XML file to use to load module overrides. See http://ceylon-lang.org/documentation/current/reference/repository/maven/ for information. Experimental.
`--print-overrides` | Print a usable module overrides file when there are duplicate versions, selecting the latest versions
`--rep=url` | Specifies a module repository containing dependencies. Can be specified multiple times. (default: `modules`, `~/.ceylon/repo`, `https://modules.ceylon-lang.org/repo/1`)
`--require-all` | Only show those results that have all the requested artifact types
`--show-dependencies` | Show the dependencies whenever versions are shown
`--show-full-description` | Shows the full description for module details
`--show-incompatible=mode` | Also show versions incompatible with the current Ceylon installation. allowed values are: 'yes', 'no' and 'auto'
`--show-names` | Show the matching items when using the `find-member` or `find-package` option
`--show-type=type` | The artifact types to show information for. Allowed values include: `all`, `jvm`, `car`, `jar`, `js`, `src`, `code`, `ceylon` (default is `all`).
`--show-versions` | Show the versions when searching for modules
`--src=dir` | A directory containing Ceylon and/or Java source code (default: `./source`)
`--sysrep=url` | Specifies the system repository containing essential modules. (default: `$CEYLON_HOME/repo`)
`--timeout=seconds`, `-T seconds` | Sets the timeout for connections to remote repositories, use 0 for no timeout (default: 20).
`--verbose[=flags]`, `-d` | Produce verbose output. If no `flags` are given then be verbose about everything, otherwise just be verbose about the flags which are present. Allowed flags include: `all`, `loader`.

## EXAMPLE
First list the available modules in the 'ceylon' namespace:
    ceylon info 'ceylon.*'
Next list the versions of a module:
    ceylon info ceylon.collection
Then view information for a particular version:
    ceylon info ceylon.collection/1.2.0